Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Container Class Reference

A Base class for implementing the Notify participants that behave as Obejct Containers. More...

`#include <Container.h>`

Inheritance diagram for TAO_NS_Container:

[legend]
Collaboration diagram for TAO_NS_Container:

[legend]
List of all members.

## Public Methods
| TAO_NS_Container (void)
| Constuctor. More...
virtual | ~TAO_NS_Container ()
| Destructor. More...
void | init (TAO_NS_POA_Helper *poa, TAO_NS_Worker_Task *worker_task, TAO_NS_POA_Helper *object_poa, TAO_NS_POA_Helper *proxy_poa)
| Init this object. More...
void | cleanup (ACE_ENV_SINGLE_ARG_DECL)
| Cleanup. More...
void | object_poa (TAO_NS_POA_Helper *object_poa)
| Accessor for the object_poa_ Setting the object_poa_ gives ownership to this class. More...
TAO_NS_POA_Helper * | object_poa (void)
## Protected Attributes
TAO_NS_POA_Helper * | object_poa_
| = Protected Methods = Data Members The POA in which the object's are activated. More...
int | delete_object_poa_
| Flag that indicates if we own <object_poa_>. More...

## Detailed Description

A Base class for implementing the Notify participants that behave as Obejct Containers.

## Constructor & Destructor Documentation

TAO_NS_Container::TAO_NS_Container | ( | void |  | ) |

| Constuctor.

TAO_NS_Container::~TAO_NS_Container | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_NS_Container::cleanup | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Cleanup.

void TAO_NS_Container::init | ( | TAO_NS_POA_Helper * | poa,
|  | TAO_NS_Worker_Task * | worker_task,
|  | TAO_NS_POA_Helper * | object_poa,
|  | TAO_NS_POA_Helper * | proxy_poa
| ) |

| Init this object.

TAO_NS_POA_Helper * TAO_NS_Container::object_poa | ( | void |  | ) |

void TAO_NS_Container::object_poa | ( | TAO_NS_POA_Helper * | object_poa | ) |

| Accessor for the object_poa_ Setting the object_poa_ gives ownership to this class.

## Member Data Documentation

int TAO_NS_Container::delete_object_poa_`[protected]`

| Flag that indicates if we own <object_poa_>.

TAO_NS_POA_Helper* TAO_NS_Container::object_poa_`[protected]`

| = Protected Methods = Data Members The POA in which the object's are activated.

The documentation for this class was generated from the following files:

- Container.h
- Container.cpp